aboutsummaryrefslogtreecommitdiff
path: root/games/crossfire-client/scripts/pre-configure
diff options
context:
space:
mode:
authorAndreas Klemm <andreas@FreeBSD.org>1998-05-08 13:51:37 +0000
committerAndreas Klemm <andreas@FreeBSD.org>1998-05-08 13:51:37 +0000
commit893dd4b607b19f8c30c7cd0137a417d00672e16d (patch)
treea6747c7c4cea0b210c82c9ea122b4be88c6927b3 /games/crossfire-client/scripts/pre-configure
parentf4ac412cac3323952e286907f1f65b5bd79b66dd (diff)
downloadports-893dd4b607b19f8c30c7cd0137a417d00672e16d.tar.gz
ports-893dd4b607b19f8c30c7cd0137a417d00672e16d.zip
Update to newest version 0.94.1
Make port PREFIX clean solve gettimeofday compile problem (patch-ao) sanitize order of header file inclusion in common/porting.c so that MIN and MAX don't get redefined (patch-ap) updated PLIST added dirrm statements in PLIST to allow proper removal of package
Notes
Notes: svn path=/head/; revision=10910
Diffstat (limited to 'games/crossfire-client/scripts/pre-configure')
-rw-r--r--games/crossfire-client/scripts/pre-configure19
1 files changed, 19 insertions, 0 deletions
diff --git a/games/crossfire-client/scripts/pre-configure b/games/crossfire-client/scripts/pre-configure
new file mode 100644
index 000000000000..fb4f8d2399b9
--- /dev/null
+++ b/games/crossfire-client/scripts/pre-configure
@@ -0,0 +1,19 @@
+#! /bin/sh
+
+# $Id$
+
+#
+# patch hacks !!LOCALBASE!! and !!X11BASE!! hooks into the config file
+# here we resolve finally our - via /etc/make.conf - variable include
+# and destination directories
+# -andreas
+#
+
+echo "adjusting paths in ${WRKSRC}/config/crosssite.def"
+
+perl -pi -e "s=!!LOCALBASE!!=$LOCALBASE=" ${WRKSRC}/config/crosssite.def \
+ || exit 1
+perl -pi -e "s=!!X11BASE!!=$X11BASE=" ${WRKSRC}/config/crosssite.def \
+ || exit 1
+
+exit 0